# Generated by Django 2.0.2 on 2018-03-13 15:44

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import limitplots.validators
import re


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('records', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='LimitPlot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('render', models.ImageField(blank=True, upload_to='webplots/')),
                ('name', models.CharField(max_length=256)),
                ('description', models.TextField()),
                ('xrange_low', models.FloatField(default=1e-11, validators=[limitplots.validators.validate_finite_positive])),
                ('xrange_high', models.FloatField(default=0.1, validators=[limitplots.validators.validate_finite_positive])),
                ('yrange_low', models.FloatField(default=1e-16, validators=[limitplots.validators.validate_finite_positive])),
                ('yrange_high', models.FloatField(default=1e-06, validators=[limitplots.validators.validate_finite_positive])),
                ('xlabel', models.CharField(default='mass / eV', max_length=128)),
                ('ylabel', models.CharField(default='$g_{a\\gamma\\gamma} / GeV^{-1}$', max_length=128)),
                ('show_legend', models.BooleanField(default=True)),
                ('legend_loc', models.CharField(choices=[('best', 'best'), ('upper right', 'upper right'), ('upper left', 'upper left'), ('lower left', 'lower left'), ('lower right', 'lower right'), ('center left', 'center left'), ('center right', 'center right'), ('lower center', 'lower center'), ('upper center', 'upper center'), ('center', 'center')], default='best', max_length=16)),
                ('creation_date', models.DateField(auto_now_add=True)),
                ('last_update', models.DateField(auto_now=True)),
                ('creator', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('view_limitplot', 'Can view limitplot'),),
            },
        ),
        migrations.CreateModel(
            name='Visualization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(blank=True, default='', max_length=64)),
                ('color', models.CharField(default='#1f6cc2', max_length=7, validators=[django.core.validators.RegexValidator(re.compile('^#?((?:[0-F]{3}){1,2})$', 2))])),
                ('style', models.CharField(choices=[('solid', 'solid'), ('dashed', 'dashed'), ('dotted', 'dotted')], default='solid', max_length=32)),
                ('alpha', models.IntegerField(default=100, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)])),
                ('fill', models.BooleanField(default=True)),
                ('draw_order', models.IntegerField(default=0)),
                ('limitplot', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='limitplots.LimitPlot')),
                ('record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='records.Record')),
            ],
        ),
        migrations.AddField(
            model_name='limitplot',
            name='records',
            field=models.ManyToManyField(through='limitplots.Visualization', to='records.Record'),
        ),
    ]
